# (commit 8b246ff75c6615ba4532fe4fde20f1be090c3764)
%define		gitref	vulkan-sdk-1.3.280.0

Summary:	SPIR-V headers
Summary(pl.UTF-8):	Pliki nagłówkowe SPIR-V
Name:		spirv-headers
# see CMakeLists.txt /VERSION or include/spirv/unified1/spirv.h /SPV_VERSION + /SPV_REVISION (whichever is greater)
Version:	1.6.1
Release:	3
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/KhronosGroup/SPIRV-Headers/tags
Source0:	https://github.com/KhronosGroup/SPIRV-Headers/archive/%{gitref}/SPIRV-Headers-%{gitref}.tar.gz
# Source0-md5:	438892138fe25c123cdacd05eb4a4b17
URL:		https://github.com/KhronosGroup/SPIRV-Headers
BuildRequires:	cmake >= 3.14
BuildRequires:	rpmbuild(macros) >= 1.605
Conflicts:	spirv-tools-devel < v2016.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains machine-readable files from the SPIR-V Registry.
This includes:
- header files for various languages,
- JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.

%description -l pl.UTF-8
Ten pakiet zawiera czytelne dla maszyny pliki z rejestru SPIR-V.
Obejmują one:
- pliki nagłówkowe dla różnych języków,
- pliki JSON opisujące gramatykę podstawowego zestawu instrukcji
  SPIR-V oraz rozszerzonego zestawu instrukcji GLSL.std.450.

%prep
%setup -qn SPIRV-Headers-%{gitref}

%build
# relative CMAKE_INSTALL_INCLUDEDIR for .pc file
%cmake -B build \
	-DCMAKE_INSTALL_INCLUDEDIR=include

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{_includedir}/spirv
%{_datadir}/cmake/SPIRV-Headers
%{_npkgconfigdir}/SPIRV-Headers.pc
%changelog
* Sun May 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spirv-headers.git;a=log;h=master

* Fri Apr 05 2024 Jan Palus <atler@pld-linux.org> 3da4ba5
- up to vulkan-sdk-1.3.280.0; rel 3

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 9ef465b
- updated to vulkan-sdk-1.3.275.0 (still 1.6.1, release 2)

* Fri Nov 10 2023 Jakub Bogusz <qboosh@pld-linux.org> af0b342
- bumped Version to 1.6.1 (according to SPV_VERION/SPV_REVISION defines)

* Sun Oct 08 2023 Jan Palus <atler@pld-linux.org> 17bd7c8
- up to sdk-1.3.261.1 tag; rel 6

* Wed Mar 29 2023 Jan Palus <atler@pld-linux.org> eaf7a85
- up to sdk-1.3.243.0 tag; rel 5

* Sat Oct 15 2022 Jan Palus <atler@pld-linux.org> a6790a8
- up to sdk-1.3.224.1 tag; rel 4

* Tue May 31 2022 Jan Palus <atler@pld-linux.org> c8b0e5e
- up to sdk-1.3.211.0 tag; rel 3

* Sun Dec 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 04ab95c
- fixed includedir in .pc file; release 2

* Sat Dec 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 448c75f
- updated to 1.5.5 from sdk-1.2.198.0 tag
- use cmake to install (to get cmake and pkgconfig files)

* Sun Nov 07 2021 Jan Palus <atler@pld-linux.org> 7db8102
- start tracking git master; rel 3

* Wed Apr 28 2021 Jakub Bogusz <qboosh@pld-linux.org> e13df48
- up to 1.5.4.raytracing.fixed tag; release 2

* Tue Apr 27 2021 Jakub Bogusz <qboosh@pld-linux.org> d91f942
- updated to 1.5.4

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 4bd577c
- updated to 1.5.3

* Sat May 16 2020 Jan Palus <atler@pld-linux.org> bd42782
- noarch

* Sun Mar 15 2020 Jakub Bogusz <qboosh@pld-linux.org> db22aed
- up to 1.5.1.corrected, now includes SPV_KHR_physical_storage_buffer; release 2

* Sat Sep 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 82349aa
- Merge remote-tracking branch 'origin/SPIRV-1.3'

* Sat Sep 21 2019 Jan Palus <atler@pld-linux.org> d4d0a93
- up to 1.5.1

* Thu May 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 7e0add6
- updated to 1.3.8 release

* Sat Feb 10 2018 Jan Palus <atler@pld-linux.org> 28b3a23
- up to current snap

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> b3def81
- pl

